@font-face {
    font-family: 'Gilroy';
    src: url('gilroy/Gilroy-Medium.ttf'),
     
}
@font-face {
    font-family: 'Gilroy Light';
    src: url('gilroy/Gilroy-Light.ttf'),
     
}
@font-face {
    font-family: 'Gilroy Bold';
    src: url('gilroy/Gilroy-Bold.ttf'),
     
}
@font-face {
    font-family: 'Gilroy Regular';
    src: url('gilroy/Gilroy-Regular.ttf'),
     
}


* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    width: 100%;
    height: 100%;
    font-family: 'Gilroy', sans-serif;
    color: #636363;
    background-image: url('img/bg.png'); /* Establece la imagen de fondo */
    background-size: cover; /* Hace que la imagen de fondo cubra todo el contenido */
    background-position: center; /* Centra la imagen de fondo */
    background-attachment: fixed; /* Fija la imagen de fondo en su posición mientras se desplaza la página */
}

/* Estilos de la barra de navegación */
.top-bar {
    color: #636363;
    padding-left: 0px; /* Añadido para mantener el margen izquierdo */
    padding-right: 20px; /* Añadido para mantener el margen derecho */
    position: fixed;
    width: 85%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: rgba(255, 255, 255, 0.7); /* Color de fondo con transparencia */
    backdrop-filter: blur(40px); /* Efecto de desenfoque */
    border-radius: 100px; /* Bordes redondeados */
    top: 80px; /* Este margen superior se mantiene */
    left: 50%;
    transform: translateX(-50%);
    
    z-index: 1000;
}
.enlace-top-bar.activo {
    font-family: 'Gilroy Bold', sans-serif;
    transition: font-family 0.3s, font-weight 0.5s;
    color: #333333; /* Hace que el texto del enlace activo sea negrita */
}

@media (max-width: 1175px) {
    .top-bar {
        top: 24px;
    }

}

.logo img {
    margin-top: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 80px; /* Altura del logo */
}
.bolda {
    color: #000 !important;
    font-family: 'Gilroy Bold', sans-serif !important;
}
.options{
    
    display: flex;
    justify-content: center;
    align-items: center;
}
.options a {
    margin-top: 5px;
    color: #636363;
    text-decoration: none;
    margin-left: 55px;
    font-size: .9rem;
    font-weight: 400;
}

.transparent-button {
    margin-left: 60px;
    height: 40px;
    background-color: transparent; /* Fondo transparente */
    border: 2px solid #2BD46A; /* Borde de 2px sólido */
    border-radius: 30px; /* Esquinas redondeadas */
    padding-top: 9px; /* Espaciado interno */
    padding-bottom: 8px;
    padding-left: 20px;
    padding-right: 20px;
    font-size: .9rem; /* Tamaño del texto */
    color: #2BD46A; /* Color del texto */
    cursor: pointer; /* Cambia el cursor al pasar por encima */
    transition: background-color 0.3s, color 0.3s; /* Transición suave */
    display: flex; /* Hace que los elementos dentro del botón se comporten como flex-items */
    align-items: center; /* Centra verticalmente los elementos dentro del botón */
    justify-content: center;
}

.transparent-button:hover {
    background-color: #2bd4696f; /* Cambia el color de fondo al pasar el ratón */
    color: #000; /* Cambia el color del texto al pasar el ratón */
}

/* Estilos del icono */
.transparent-button .fas {
    margin-right: 10px; /* Espaciado a la derecha del icono */
    font-size: 1.5rem;
    
}


.transparent-button.bold {
    font-family: 'Gilroy Bold', sans-serif;
}




/* Estilos para el botón de menú en dispositivos móviles */
.mobile-menu-button {
    display: none; /* Ocultar el botón por defecto */
}

/* Mostrar el botón solo en dispositivos móviles */
@media screen and (max-width: 1175px) {
    .mobile-menu-button {
        display: block; /* Mostrar el botón en dispositivos móviles */
    }
    .options {
        display: none; /* Oculta las opciones de texto y el botón */
    }
}







.home {
    width: 100%;
    height: 100vh;
    color: #333333;
}
.home-container {
    padding-top: 240px;
    width: 85%;
    position: relative;
    height: 100%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    align-content: center;
    align-content: center;
}
.home-divider {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
}
.home-divider > div {
    flex: 1;
    flex-basis: calc(50% - 10px);
}
.home-left {
    z-index: 2;
    max-width: 65%;
    order: 1;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.home-right {
    z-index: 1;
    right: 0px;
    order: 2;
    position: absolute;
    width: 100%;
    height: auto;
    display: flex;
    justify-content: flex-end;
}
.image-home{
    padding-bottom: 5%;
    width: 47%;
    aspect-ratio: 1.25/1;
}
.subheader-home{
    margin-top: 60px;
    font-size: 2rem;
    font-family: 'Gilroy Light', sans-serif;
}
.lighta-home{
    font-family: 'Gilroy Light', sans-serif;
}
.resume {
    z-index: 2;
    margin-top: 96px;
    text-align: center;
    line-height: 2;
}
.resume-more {
    cursor: pointer;
    z-index: 2;
    margin-top: 16px;
}
.home-button {
    padding-top: 10px;
}
.separator-home {
    line-height: 1.35;
}

@media (max-width: 1175px) {
    
    .home-right {
        display: none;
    }
    .home-left {
        text-align: center;
        max-width: 100%;
    }
    .home-container {
        padding-top: 0px;
    }
    .home-divider {
        justify-content: center;
        align-items: center;
    }
    .separator-home {
        font-size: 4rem;
    }
    .subheader-home {
        margin-top: 28px;
    }
    .resume {
        margin-top: 40px;
    }
    .first-button {
        display: flex;
        justify-content: center;
        text-align: center;
    }
}

.services{
    letter-spacing: 10px;
}

.place {
    margin-top: 42px;
    height: 45px;
    background-color: rgba(255, 255, 255, 0.7); /* Color de fondo con transparencia */
    backdrop-filter: blur(40px); /* Efecto de desenfoque */
    border: 1.5px solid #4374EA; /* Borde de 2px sólido */
    border-radius: 30px; /* Esquinas redondeadas */
    padding: 20px 20px 20px 20px; /* Espaciado interno */
    font-size: .9rem; /* Tamaño del texto */
    color: #4374EA; /* Color del texto */
    cursor: pointer; /* Cambia el cursor al pasar por encima */
    transition: background-color 0.3s, color 0.3s; /* Transición suave */
    display: flex; /* Hace que los elementos dentro del botón se comporten como flex-items */
    align-items: center; /* Centra verticalmente los elementos dentro del botón */
    justify-content: center;
}

.place:hover {
    background-color: #4375ea2e; /* Cambia el color de fondo al pasar el ratón */
    color: #4374EA; /* Cambia el color del texto al pasar el ratón */
}

/* Estilos del icono */
.place .fas {
    margin-right: 10px; /* Espaciado a la derecha del icono */
    font-size: 1.5rem;
    
}

.mapas {
    width: 16px;
    margin-right: 12px;
}


.text-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.como-llegar {
    font-size: .55rem;
    color: #4375eaa9;
}


.place.bold {
    font-family: 'Gilroy Bold';
}



h1 {
    font-size: 5.5rem;
}
.subheader{
    margin-top: 55px;
    font-size: 2rem;
    font-family: 'Gilroy Light', sans-serif;
}
.lighta{
    font-family: 'Gilroy Light', sans-serif;
}
.normal {
    font-family: 'Gilroy', sans-serif;
}
.light {
    font-size: .75rem;
    font-family: 'Gilroy Light', sans-serif; /* Aplicar la fuente Gilroy Light a este elemento */
    font-weight: normal; 
}

.ver-mas {
    cursor: pointer;
    font-size: .8rem;
    padding-top: 12px;
}






.section-services {
    margin-top: 150px;
}

.containerser {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    width: 80%;
    height: 100vh; /* Ocupa toda la altura de la pantalla */
}

.row {
    width: 100%;
    display: flex;
}

.column {
    flex: 1; /* Ocupa todo el espacio disponible */
    border: 1px solid #ccc; /* Borde para visualización */
}




.chips-container {
    display: flex;
    flex-wrap: wrap; /* Permite que los chips pasen a la siguiente línea */
}

.chip {
    cursor: pointer;
    background-color: #b4e0ff64;
    padding: 8px 20px;
    margin: 12px 14px;
    border-radius: 40px;
    border: none;
    color: #333333;
    font-family: 'Gilroy', sans-serif;
    line-height: 1.5;
    font-size: 1rem;
    transition: background-color 0.3s;
}
.chip:hover {
    background-color: #b4e0ffb8;
}

.border-chip {
    border: 1.3px solid #000;
}


.aa {
    display: flex;
    flex-wrap: wrap; /* Permite que los chips pasen a la siguiente línea */
    align-items: flex-start; /* Alinea los elementos al final del contenedor en el eje transversal (eje Y) */
    justify-content: flex-start; /* Alinea los elementos al principio del contenedor en el eje principal (eje X) */
    height: 100%; /* Altura opcional para el contenedor */
    padding: 10px;
}

.ab {
    display: flex;
    flex-wrap: wrap; /* Permite que los chips pasen a la siguiente línea */
    align-items: flex-end; /* Alinea los elementos al final del contenedor en el eje transversal (eje Y) */
    align-content: center;
    justify-content: flex-end; /* Alinea los elementos al principio del contenedor en el eje principal (eje X) */
    height: 100%; /* Altura opcional para el contenedor */
    padding: 10px;
}

.titled{
    max-width: 70%;
    display: flex;
    flex-wrap: wrap; /* Permite que los chips pasen a la siguiente línea */
    align-items: flex-end; /* Alinea los elementos al final del contenedor en el eje transversal (eje Y) */
    align-content: center;
    text-align: right;
    height: 100%;
    justify-content: flex-end; /* Alinea los elementos al principio del contenedor en el eje principal (eje X) */
    
    padding: 10px;
}


.imgservicecontainer {
    position: relative;
    height: 100%;
    width: 100%;
    display: flex;
    align-content: center;
    justify-content: center;
}

.imgservice {
    border-radius: 16px;
    object-fit: cover;
    height: 260px;
    width: 100%;
}




.containerservice {
    text-align: left; /* Alinea el contenido al centro */
    padding: 20px; /* Espacio interno */
}


.buttoncall {
    font-family: 'Gilroy Bold', sans-serif;
    margin-top: 20px;
    height: 40px;
    background-color: transparent; /* Fondo transparente */
    border: 1.5px solid #000; /* Borde de 2px sólido */
    border-radius: 30px; /* Esquinas redondeadas */
    padding: 8px 20px; /* Espaciado interno */
    font-size: .9rem; /* Tamaño del texto */
    color: #000; /* Color del texto */
    cursor: pointer; /* Cambia el cursor al pasar por encima */
    transition: background-color 0.3s, color 0.3s; /* Transición suave */
    display: flex; /* Hace que los elementos dentro del botón se comporten como flex-items */
    align-items: center; /* Centra verticalmente los elementos dentro del botón */
    justify-content: center;
}

.buttoncall:hover {
    background-color: #0000002e; /* Cambia el color de fondo al pasar el ratón */
}

.buttoncall .fas {
    margin-right: 10px; /* Espaciado a la derecha del icono */
    font-size: 1.5rem;
    
}
.serviceinfo {
    position: relative;
    max-width: 80%;
    padding-left: 50px;
}

.titleservice {
    margin-bottom: 12px;
    color: #333333;
    font-family: 'Gilroy Bold', sans-serif;
    font-size: 1.75rem;
}

.textservice {
    color: #333333;
    font-family: 'Gilroy', sans-serif;
    line-height: 1.5;
    font-size: 1rem;
}

.subnormal {
    font-family: 'Gilroy Light', sans-serif;
    font-size: 3.375rem;
    line-height: 1;
    color: #333333;

}

.subbold {
    display:inline-flex;
    font-family: 'Gilroy', sans-serif;
    font-size: 3.375rem;
    line-height: 1;
    color: #333333;
}

.linemed {
    line-height: 1.5;
}

.linesmall {
    line-height: 1.3;
}

.containerserv {
    padding-top: 80px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    justify-items: center;
    align-content: center;
    margin: 0 auto;
    width: 80%;
    height: 100vh; /* Ocupa toda la altura de la pantalla */
}

.containerserv > div {
    flex: 1;
    flex-basis: calc(50% - 10px);
}

.top-left {
    order: 1; /* Orden en la fila */
    padding-bottom: 40px;
}

.top-right {
    display: flex;
    justify-content: center;
    order: 2; /* Orden en la fila */
    padding-bottom: 40px;
}

.bottom-left {
    order: 3; /* Orden en la fila */
}

.bottom-right {
    order: 4; /* Orden en la fila */
    display: flex;
    justify-content: flex-start;
}



/* Estilos responsivos */
@media (max-width: 1175px) {
    .containerserv {
        padding-top: 80px;
        flex-direction: column; /* Cambia la dirección de los elementos a columna */
        height: fit-content;
        width: 100%;
    }
    .section-services {
        margin-top: 0px;
    }

    .containerserv > div {
        flex: 1; /* Ajusta el tamaño de los elementos para que ocupen todo el ancho */
        flex-basis: auto; /* Restaura el valor predeterminado de flex-basis */
    }
    .top-left {
        padding-bottom: 10px;
        order: 2; /* Orden en la fila */
    }
    
    .top-right {
        order: 1; /* Orden en la fila */
        padding-bottom: 0px;
    }
    
    .bottom-left {
        order: 4; /* Orden en la fila */
    }
    
    .bottom-right {
        order: 3; /* Orden en la fila */
    }

    .containerservice {
        text-align: justify;
        padding: 0px;
    }
    .serviceinfo {
        margin: 0 auto;
        max-width: 80%;
        padding-left: 0px;
        padding-bottom: 20px;
    }
    .imgservice {
        width: 80%;
    }

    .titled {
        max-width: 90%;
        align-items: center;
        justify-content: center;
        text-align: center;
    }
    .chips-container {
        margin: 0 auto;
        width: 90%;
    }
}


.subtitle {
    font-family: 'Gilroy Regular', sans-serif;
    font-size: 1.125rem;
    color: #333333;
    margin-top: 12px;
    margin-bottom: 12px;

}

.buttoncita {
    font-family: 'Gilroy Bold', sans-serif;
    margin-top: 20px;
    margin-bottom: 32px;
    height: 40px;
    background-color: transparent; /* Fondo transparente */
    border: 1.5px solid #000; /* Borde de 2px sólido */
    border-radius: 30px; /* Esquinas redondeadas */
    padding: 8px 20px; /* Espaciado interno */
    font-size: .9rem; /* Tamaño del texto */
    color: #000; /* Color del texto */
    cursor: pointer; /* Cambia el cursor al pasar por encima */
    transition: background-color 0.3s, color 0.3s; /* Transición suave */
    display: flex; /* Hace que los elementos dentro del botón se comporten como flex-items */
    align-items: center; /* Centra verticalmente los elementos dentro del botón */
    justify-content: center;
}

.buttoncita:hover {
    background-color: #0000002e; /* Cambia el color de fondo al pasar el ratón */
}

.buttoncita .fas {
    margin-right: 10px; /* Espaciado a la derecha del icono */
    font-size: 1.5rem;
    
}

.mapadetalles {
    padding-top: 100px;
    margin: 0 auto;
    width: 80%;
    height: 100vh;
    display: flex;
    align-items: center;
}

.map-container {
    height: 300px;
    width: 100%;
    border-radius: 20px; /* Agrega bordes redondeados */
    overflow: hidden;
}

.contact-details {
    position: relative;
    width: 100%;
}

#map {
    position: relative;
    height: 300px; /* Altura del mapa */
    width: 100%; /* Ancho del mapa */
}

.less {
    margin-top: 10px;
    margin-right: 20px;
    z-index: 1000;
}

.overbutton {
    position: absolute;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    width: 100%;

}

.documentcontainer {
    padding-top: 100px;
    width: 90%;
    height: 100vh;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.doctitles {
    text-align: center;
}
.submedium {
    width: 75%;
    margin: 0 auto;
    margin-top: 16px;
}

.docboxcontainer {
    margin-top: 44px;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    justify-items: center;
    align-content: center;
}

.docboxcontainer > div {
    flex-basis: calc(22% - 10px);
    min-width: 300px;
    min-height: 170px;
}

.docbox {
    height: 170px;
    background-image: url('img/docbg.png');
    margin: 12px;
    border-radius: 16px;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}

.docname {
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (max-width: 1175px) {
    .docboxcontainer {
        flex: 1;
    }
    .documentcontainer {
        padding-top: 150px;
        height: auto;
    }
    .map-container {
        height: 400px;
    }
    #map {
        height: 400px;
    }
    .mapadetalles {
        padding-top: 150px;
        height: auto;
    }

    

}

.buttondoc {
    margin-top: 20px;
    font-family: 'Gilroy Bold', sans-serif;
    height: 40px;
    background-color: transparent; /* Fondo transparente */
    border: 1.5px solid #4374EA; /* Borde de 2px sólido */
    border-radius: 30px; /* Esquinas redondeadas */
    padding: 8px 20px; /* Espaciado interno */
    font-size: .9rem; /* Tamaño del texto */
    color: #4374EA; /* Color del texto */
    cursor: pointer; /* Cambia el cursor al pasar por encima */
    transition: background-color 0.3s, color 0.3s; /* Transición suave */
    display: flex; /* Hace que los elementos dentro del botón se comporten como flex-items */
    align-items: center; /* Centra verticalmente los elementos dentro del botón */
    justify-content: center;
}

.buttondoc:hover {
    background-color: #4375ea20; /* Cambia el color de fondo al pasar el ratón */
}

.buttondoc .fas {
    margin-right: 10px; /* Espaciado a la derecha del icono */
    font-size: 1.5rem;
    
}

.downtitle{
    font-family: 'Gilroy Regular', sans-serif;
    font-size: 1.5rem;
    color: #333333;
}

.downsubtitle {
    margin-top: 4px;
    font-family: 'Gilroy Regular', sans-serif;
    font-size: .75rem;
    color: #6B6B6B;
}

.section-contact {
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1));
}
.documentssection {
    background-color: #FFFFFF;
}
.aboutsection {
    width: 100%;
    background-color: #FFFFFF;
}
.about {
    width: 80%;
    margin: 0 auto;
    height: 100vh;
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.abouttitle {
    padding-top: 120px;
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: end;
}
.subdoc {
    text-align: end;
    width: 37%;
}
.subdoctitle {
    font-family: 'Gilroy Regular', sans-serif;
    font-size: 1rem;
    color: #333333;
    margin-top: 16px;
    margin-bottom: 16px;   
}
.aboutinfo {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
}
.abouttext {
    padding: 20px;
    font-family: 'Gilroy Regular', sans-serif;
    flex: 2;
    color: #333333;
    text-align: center;
    line-height: 1.5;
}
.aboutimage {
    padding-left: 20px;
    padding-top: 40px;
    flex: 1;
}
.notarioimg {
    width: 100%;
    aspect-ratio: 1/1;
    border-radius: 50%;
    object-fit: cover;
}
.boldi {
    font-family: 'Gilroy Bold', sans-serif;
}

@media (max-width: 1175px) {
    .aboutinfo{
        flex-direction: column;
    }
    .about {
        height: auto;
        padding-top: 150px;
    }
    .aboutimage {
        text-align: center;
        padding-bottom: 40px;
    }
    .notarioimg {
        width: 50%;
    }
    .subdoc {
        width: 100%;
    }
    .abouttext {
        text-align: justify;
        padding: 0px;
    }
    .abouttitle {
        padding-top: 0px;
        text-align: end;
    }

}

.footersection {
    width: 100%;
    height: 40vh;
    background-color: #FFFFFF;
}
.footer {
    width: 100%;
    display: flex;
    flex-direction: column;
    
    align-items: center;
}
.footerimage {
    width: 360px;
}
.legal {
    display: flex;
    margin-top: 32px;
}
.notariafooter {
    font-family: 'Gilroy', sans-serif;
    font-size: 2rem;
    letter-spacing: 20px;
    color: #333333;
}
.tizayucafooter {
    font-family: 'Gilroy Light', sans-serif;
    font-size: 1rem;
    color: #333333;
}
.footerbuttons {
    display: flex;
}
.footerb {
    font-family: 'Gilroy Bold', sans-serif;
    margin-top: 32px;
    margin-left: 8px;
    margin-right: 8px;
    height: 40px;
    width: 40px;
    background-color: transparent; /* Fondo transparente */
    border: 1px solid #000; /* Borde de 2px sólido */
    border-radius: 50%; /* Esquinas redondeadas */
    padding: 8px 20px; /* Espaciado interno */
    font-size: .9rem; /* Tamaño del texto */
    color: #000; /* Color del texto */
    cursor: pointer; /* Cambia el cursor al pasar por encima */
    transition: background-color 0.3s, color 0.3s; /* Transición suave */
    display: flex; /* Hace que los elementos dentro del botón se comporten como flex-items */
    align-items: center; /* Centra verticalmente los elementos dentro del botón */
    justify-content: center;
}

.footerb:hover {
    background-color: #0000002e; /* Cambia el color de fondo al pasar el ratón */
}

.footerb .fas {
    
    font-size: 1.5rem;
    
}


/* Estilos para el elemento que se desvanecerá */
.fade-in-element {
    opacity: 0;
    transition: opacity 1.2s ease;
    transition-delay: 0.05s;
  }
  
  .fade-in {
    opacity: 1;
  }
